/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class TriggerResponse {
    public id: string;

    public name: string;

    public labels: string[];

    public description: string;

    public type: string;

    public code: string;

    /**
     * Creates a TriggerResponse.
     *
     * @param {string} id
     * @param {string} name
     * @param {string} labels
     * @param {string} description
     * @param {string} type
     * @param {string} code
     */
    constructor(id: string, name: string, labels: string[], description: string, type: string, code: string) {
        this.id = id;
        this.name = name;
        this.labels = labels;
        this.description = description;
        this.type = type;
        this.code = code;
    }
}